From: "Sam James" <sam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: net-libs/pjproject/
Date: Tue, 13 Dec 2022 05:27:47 +0000 (UTC) [thread overview]
Message-ID: <1670909080.3aff73d53bb063556a8339f32c6af447a430d660.sam@gentoo> (raw)
commit: 3aff73d53bb063556a8339f32c6af447a430d660
Author: Jaco Kroon <jaco <AT> uls <DOT> co <DOT> za>
AuthorDate: Sun Dec 4 22:00:23 2022 +0000
Commit: Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Tue Dec 13 05:24:40 2022 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3aff73d5
net-libs/pjproject: add 2.13
Bug: https://bugs.gentoo.org/884797
Closes: https://bugs.gentoo.org/882785
Signed-off-by: Jaco Kroon <jaco <AT> uls.co.za>
Signed-off-by: Sam James <sam <AT> gentoo.org>
net-libs/pjproject/Manifest | 1 +
net-libs/pjproject/pjproject-2.13.ebuild | 139 +++++++++++++++++++++++++++++++
2 files changed, 140 insertions(+)
diff --git a/net-libs/pjproject/Manifest b/net-libs/pjproject/Manifest
index 7c848864dc10..10063228d714 100644
--- a/net-libs/pjproject/Manifest
+++ b/net-libs/pjproject/Manifest
@@ -1 +1,2 @@
DIST pjproject-2.12.1.tar.gz 9660659 BLAKE2B d893f22d995c9570e4003f80adf15144cf39e09d5843a88e3a616a529a91164ec7b012ea66ede8d55bfe4ec0dc4eca7d230f07fc66f06dfafaea9d5ff72910fa SHA512 9087456024b8886e56660cebc45c7093b3b91cd6b08a3926fa2c0de452989ac84ceb4e27413c0311bde95f271341ee44d9681f81f83602a4e16151f1831d773b
+DIST pjproject-2.13.tar.gz 9744716 BLAKE2B 947fe076089b3cd0826a554db3cda9939e228b9e7bb5ed2d01242e44e5e5b0d9d2ddc52b378f141efb89fcbfbd628fcdff341e54bc3615280e23f30ea58daf56 SHA512 df184511d554e5f77ca1a551bdf6b22c4c8ae2b6ad61be0e7e459e2d7db50f496af66c37e080f178019a509ea25847e70a342ac48c820a6b9302b4cbf174c520
diff --git a/net-libs/pjproject/pjproject-2.13.ebuild b/net-libs/pjproject/pjproject-2.13.ebuild
new file mode 100644
index 000000000000..74ae06aea18c
--- /dev/null
+++ b/net-libs/pjproject/pjproject-2.13.ebuild
@@ -0,0 +1,139 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+# TODO: Figure out a way to disable SRTP from pjproject entirely.
+EAPI=8
+
+inherit autotools flag-o-matic toolchain-funcs
+
+DESCRIPTION="Open source SIP, Media, and NAT Traversal Library"
+HOMEPAGE="https://github.com/pjsip/pjproject https://www.pjsip.org/"
+SRC_URI="https://github.com/pjsip/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~x86"
+
+LICENSE="GPL-2"
+SLOT="0/${PV}"
+
+# g729 not included due to special bcg729 handling.
+CODEC_FLAGS="g711 g722 g7221 gsm ilbc speex l16"
+VIDEO_FLAGS="sdl ffmpeg v4l2 openh264 libyuv vpx"
+SOUND_FLAGS="alsa portaudio"
+IUSE="amr debug epoll examples opus resample silk ssl static-libs webrtc
+ ${CODEC_FLAGS} g729
+ ${VIDEO_FLAGS}
+ ${SOUND_FLAGS}"
+
+RDEPEND=">=net-libs/libsrtp-2.3.0:=
+ alsa? ( media-libs/alsa-lib )
+ amr? ( media-libs/opencore-amr )
+ ffmpeg? ( media-video/ffmpeg:= )
+ g729? ( media-libs/bcg729 )
+ gsm? ( media-sound/gsm )
+ ilbc? ( media-libs/libilbc )
+ openh264? ( media-libs/openh264 )
+ opus? ( media-libs/opus )
+ portaudio? ( media-libs/portaudio )
+ resample? ( media-libs/libsamplerate )
+ sdl? ( media-libs/libsdl )
+ speex? (
+ media-libs/speex
+ media-libs/speexdsp
+ )
+ ssl? (
+ dev-libs/openssl:0=
+ )
+"
+DEPEND="${RDEPEND}"
+BDEPEND="virtual/pkgconfig"
+
+PATCHES=(
+)
+
+src_prepare() {
+ default
+ rm configure || die "Unable to remove unwanted wrapper"
+ mv aconfigure.ac configure.ac || die "Unable to rename configure script source"
+ eautoreconf
+
+ cp "${FILESDIR}/pjproject-2.12.1-config_site.h" "${S}/pjlib/include/pj/config_site.h" || die "Unable to create config_site.h"
+}
+
+_pj_enable() {
+ usex "$1" '' "--disable-${2:-$1}"
+}
+
+_pj_get_define() {
+ local r="$(sed -nre "s/^#define[[:space:]]+$1[[:space:]]+//p" "${S}/pjlib/include/pj/config_site.h")"
+ [[ -z "${r}" ]] && die "Unable to fine #define $1 in config_site.h"
+ echo "$r"
+}
+
+_pj_set_define() {
+ local c=$(_pj_get_define "$1")
+ [[ "$c" = "$2" ]] && return 0
+ sed -re "s/^#define[[:space:]]+$1[[:space:]].*/#define $1 $2/" -i "${S}/pjlib/include/pj/config_site.h" || die "sed failed updating $1 to $2."
+ [[ "$(_pj_get_define "$1")" != "$2" ]] && die "sed failed to perform update for $1 to $2."
+}
+
+_pj_use_set_define() {
+ _pj_set_define "$2" $(usex "$1" 1 0)
+}
+
+src_configure() {
+ local myconf=()
+ local videnable="--disable-video"
+ local t
+
+ use debug || append-cflags -DNDEBUG=1
+
+ for t in ${CODEC_FLAGS}; do
+ myconf+=( $(_pj_enable ${t} ${t}-codec) )
+ done
+ myconf+=( $(_pj_enable g729 bcg729) )
+
+ for t in ${VIDEO_FLAGS}; do
+ myconf+=( $(_pj_enable ${t}) )
+ use "${t}" && videnable="--enable-video"
+ done
+
+ [ "${videnable}" = "--enable-video" ] && _pj_set_define PJMEDIA_HAS_VIDEO 1 || _pj_set_define PJMEDIA_HAS_VIDEO 0
+
+ LD="$(tc-getCC)" econf \
+ --enable-shared \
+ --with-external-srtp \
+ ${videnable} \
+ $(_pj_enable alsa sound) \
+ $(_pj_enable amr opencore-amr) \
+ $(_pj_enable epoll) \
+ $(_pj_enable opus) \
+ $(_pj_enable portaudio ext-sound) \
+ $(_pj_enable resample libsamplerate) \
+ $(_pj_enable resample resample-dll) \
+ $(_pj_enable resample) \
+ $(_pj_enable silk) \
+ $(_pj_enable speex speex-aec) \
+ $(_pj_enable ssl) \
+ $(_pj_enable webrtc libwebrtc) \
+ $(use_with gsm external-gsm) \
+ $(use_with portaudio external-pa) \
+ $(use_with speex external-speex) \
+ "${myconf[@]}"
+}
+
+src_compile() {
+ emake dep LD="$(tc-getCC)"
+ emake LD="$(tc-getCC)"
+}
+
+src_install() {
+ default
+
+ newbin pjsip-apps/bin/pjsua-${CHOST} pjsua
+ newbin pjsip-apps/bin/pjsystest-${CHOST} pjsystest
+
+ if use examples; then
+ insinto "/usr/share/doc/${PF}/examples"
+ doins -r pjsip-apps/src/samples
+ fi
+
+ use static-libs || rm "${ED}/usr/$(get_libdir)"/*.a || die "Error removing static archives"
+}
next reply other threads:[~2022-12-13 5:27 UTC|newest]
Thread overview: 49+ messages / expand[flat|nested] mbox.gz Atom feed top
2022-12-13 5:27 Sam James [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-01-21 13:13 [gentoo-commits] repo/gentoo:master commit in: net-libs/pjproject/ Joonas Niilola
2025-01-21 13:13 Joonas Niilola
2024-09-17 16:00 Sam James
2024-09-17 16:00 Sam James
2024-01-12 8:30 Arthur Zamarin
2023-11-22 7:20 Joonas Niilola
2023-11-22 7:20 Joonas Niilola
2023-05-18 5:07 John Helmert III
2023-05-18 5:00 John Helmert III
2023-05-18 5:00 John Helmert III
2023-05-16 6:16 Joonas Niilola
2023-05-10 9:40 Sam James
2023-04-20 21:52 Sam James
2023-04-20 21:52 Sam James
2022-12-13 5:27 Sam James
2022-10-30 2:58 John Helmert III
2022-10-27 8:00 Joonas Niilola
2022-10-25 17:55 Sam James
2022-08-19 3:46 Sam James
2022-08-04 6:37 Joonas Niilola
2022-06-15 13:32 Joonas Niilola
2021-07-24 7:58 Agostino Sarubbo
2021-07-24 7:57 Agostino Sarubbo
2021-05-02 10:56 Mikle Kolyada
2021-03-15 19:20 John Helmert III
2021-03-14 1:29 Sam James
2021-03-12 18:32 Sam James
2021-02-19 16:14 Sam James
2021-02-12 14:15 Sam James
2020-12-29 20:45 Sam James
2020-10-06 21:45 Sam James
2020-09-12 1:49 Sam James
2020-07-20 12:24 Sam James
2020-07-20 9:01 Joonas Niilola
2020-07-16 17:45 Sam James
2020-05-06 6:48 Sergei Trofimovich
2020-04-26 11:00 David Seifert
2020-04-14 12:32 Agostino Sarubbo
2020-03-31 8:25 Mikle Kolyada
2020-01-08 17:54 Joonas Niilola
2019-11-30 7:50 Joonas Niilola
2019-03-18 22:53 Patrice Clement
2018-10-06 18:40 Sergei Trofimovich
2018-10-06 18:40 Sergei Trofimovich
2018-08-31 17:13 Tony Vroon
2018-03-12 10:51 Agostino Sarubbo
2018-02-07 9:17 Tony Vroon
2017-09-18 23:43 Tony Vroon
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1670909080.3aff73d53bb063556a8339f32c6af447a430d660.sam@gentoo \
--to=sam@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox